--[[
	nehFragger - A simple kill counter
	Copyright 2009 by Markus 'nehegeb' Kramer
--]]

--[[ nehFragger localization --]]

ADDONNAME	= "|cff9900ffneh|rFragger"

if (GetLocale() == "deDE") then
	KILLMSG1 	= "Kill-Z\195\164hler wurde zurf\195\188ck gesetzt. Du hast "
	KILLMSG2	= " Gegner get\195\182tet."
	MOVEMSG		= "Halte ALT zum Verschieben oder STRG + UMSCHALT um den Z\195\164hler zur\195\188ckzusetzen."
	MOVEMENT	= "schieben"
else
	KILLMSG1	= "Killcounter was set back. You killed "
	KILLMSG2	= " mobs."
	MOVEMSG		= "Hold ALT to move frame or CTRL + SHIFT to reset counter."
	MOVEMENT	= "moving"
end

--[[ nehFragger movement and counter reset --]]

function nehFraggerFrame_OnMouseDown()
	if IsAltKeyDown() then
		nehFraggerFrame:StartMoving();
		nehFraggerText:SetText(MOVEMENT)
	elseif IsControlKeyDown() and IsShiftKeyDown() then
		ChatFrame1:AddMessage(ADDONNAME .. " - " .. KILLMSG1 .. nehFragger_FragCounter .. KILLMSG2)
		nehFragger_FragCounter = 0
		nehFraggerText:SetText(nehFragger_FragCounter)
	else
		nehFraggerFrame:StopMovingOrSizing();
		nehFraggerText:SetText(nehFragger_FragCounter)
		ChatFrame1:AddMessage(ADDONNAME .. " - " .. MOVEMSG)
	end
end

function nehFraggerFrame_OnMouseUp()
	nehFraggerFrame:StopMovingOrSizing();
	nehFraggerText:SetText(nehFragger_FragCounter)
end

--[[ nehFragger event functions --]]

function nehFraggerFrame_OnLoad(frame)
	frame:RegisterEvent("ADDON_LOADED")
	frame:RegisterEvent("COMBAT_LOG_EVENT_UNFILTERED")
end

function nehFraggerFrame_OnEvent(frame, event, arg1, ...)
	local type = select(1, ...)
	if (event == "ADDON_LOADED") and arg1 == "nehFragger" then
		if (nehFragger_FragCounter == nil) then
			nehFragger_FragCounter = 0
			nehFraggerText:SetText(ADDONNAME)
		else
			nehFraggerText:SetText(nehFragger_FragCounter)
		end
	elseif (event == "COMBAT_LOG_EVENT_UNFILTERED") then
		if (type == "PARTY_KILL") then
			nehFragger_FragCounter = nehFragger_FragCounter + 1
			nehFraggerText:SetText(nehFragger_FragCounter)
		end
	end
end

--[[ that's it! --]]